Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine
Class DiscountCalculatorPercentOff

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.AbstractDiscountCalculator
          com.bea.commerce.ebusiness.price.engine.DiscountCalculatorPercentOff

All Implemented Interfaces:
  DiscountCalculator

public class DiscountCalculatorPercentOff
extends AbstractDiscountCalculator

Field Summary
`static String` | `cName`

Fields inherited from class com.bea.commerce.ebusiness.price.engine.AbstractDiscountCalculator
`DEBUG`

Fields inherited from interface com.bea.commerce.ebusiness.price.engine.DiscountCalculator
`calcMethod`

Constructor Summary
`DiscountCalculatorPercentOff()`

Method Summary
`void` | `calcNewPrice(DiscountModifier modifier, AdjustmentType type, QualificationDiscountId discountID, String reason, List objects)` List of PoolObject(s).
`void` | `calcNewPrice(DiscountModifier modifier, AdjustmentType type, QualificationDiscountId discountID, String reason, PoolObject object)`
`protected double` | `computeNewPrice(PoolObject object)` Override this method to have processList() work.
`protected String` | `getComputation()`

Methods inherited from class com.bea.commerce.ebusiness.price.engine.AbstractDiscountCalculator
`adjust, adjust, processList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cName

    public static final String cName

See Also:
  Constant Field Values

Constructor Detail

### DiscountCalculatorPercentOff

    public DiscountCalculatorPercentOff()

Method Detail

### calcNewPrice

    public void calcNewPrice(DiscountModifier modifier,
                             AdjustmentType type,
                             QualificationDiscountId discountID,
                             String reason,
                             PoolObject object)

### calcNewPrice

    public void calcNewPrice(DiscountModifier modifier,
                             AdjustmentType type,
                             QualificationDiscountId discountID,
                             String reason,
                             List objects)

  List of PoolObject(s).

### computeNewPrice

    protected double computeNewPrice(PoolObject object)

  Description copied from class: `AbstractDiscountCalculator`
  Override this method to have processList() work.

  Overrides:
    `computeNewPrice` in class `AbstractDiscountCalculator`

### getComputation

    protected String getComputation()

  Specified by:
    `getComputation` in class `AbstractDiscountCalculator`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved